Subject: bug#36313: Two installation schemes of AUCTeX

From: Ikumi Keita <[email-masked]>
Date: Sun, 30 Jun 2019 19:26:03 +0900

>>>>> Ryo Furue <[email-masked]> writes:
> I guess that on such a system, the parsing of the TeX directory tree
> happens each time emacs is launched if the system-wide default of
> TeX-parse-self is t.  Is that correct?

Speaking precisely, that statement is not correct.  The "directory tree"
discussed here is not the TeX directory tree, but the elisp directory
tree which potentially contains helper elisp files ("style files", in
the terminology of AUCTeX.)
In addition, the parsing of the elisp directory tree happens when the
user _opens_ a TeX file.  Just launching emacs makes no difference, even
if the default value of `TeX-parse-self' is t.

(The parsing of TeX directory does occur as well, but that is
independent of the value of `TeX-parse-self'.)

Regards,
Ikumi Keita